Skip to Content
Series

List series

Recurring series in the key's mode, oldest first. List an occurrence's events with `GET /v1/events?series_id=`. Requires the `events:read` scope.

GET
/v1/series

Recurring series in the key's mode, oldest first. List an occurrence's events with GET /v1/events?series_id=.

Requires the events:read scope.

Authorization

secretKey
headerAuthorizationBearer <token>

A secret key: wc_live_... or wc_test_.... Keep it on your server.

Query Parameters

limit?integer

Page size, 1 to 100. Defaults to 50.

Range1 <= value <= 100
cursor?string

The next_cursor from the previous page.

Length1 <= length <= 1024
status?string
Value in"active""ended"

Response Body

A page of series.

application/json
  1. response
data*array<>
next_cursor*|

Pass as cursor to get the next page. null on the last page.

Example Request
curl -X GET 'https://api.whocoming.com/v1/series'
Example Response
{  "data": [    {      "id": "string",      "mode": "live",      "title": "string",      "recurrence": {        "frequency": "weekly",        "weekday": "monday"      },      "rrule": "string",      "timezone": "string",      "starts_on": "2019-08-24",      "start_time": "string",      "duration_minutes": 0,      "ends_on": "2019-08-24",      "template": {        "description": "string",        "location_name": "string",        "location_address": "string",        "online_url": "string",        "capacity": 0,        "max_guests": 0,        "waitlist_enabled": true,        "visibility": "public",        "price_note": "string",        "cover_image_url": "string",        "fields": [          {            "key": "string",            "label": "string",            "type": "text",            "required": true,            "options": [              "string"            ]          }        ]      },      "status": "active",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}